package com.fjhx.mail.service.enterprise;

import com.fjhx.mail.entity.enterprise.po.EnterpriseDomain;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.mail.entity.enterprise.vo.EnterpriseDomainVo;
import com.fjhx.mail.entity.enterprise.dto.EnterpriseDomainSelectDto;
import com.fjhx.mail.entity.enterprise.dto.EnterpriseDomainDto;


/**
 * <p>
 * 企业邮箱域名 服务类
 * </p>
 *
 * @author 
 * @since 2023-04-06
 */
public interface EnterpriseDomainService extends BaseService<EnterpriseDomain> {

    /**
     * 企业邮箱域名分页
     */
    Page<EnterpriseDomainVo> getPage(EnterpriseDomainSelectDto dto);

    /**
     * 企业邮箱域名明细
     */
    EnterpriseDomainVo detail(Long id);

    /**
     * 企业邮箱域名新增
     */
    void add(EnterpriseDomainDto enterpriseDomainDto);

    /**
     * 企业邮箱域名编辑
     */
    void edit(EnterpriseDomainDto enterpriseDomainDto);

    /**
     * 企业邮箱域名删除
     */
    void delete(Long id);

}
